aboutsummaryrefslogtreecommitdiff
path: root/local-tomo
diff options
context:
space:
mode:
Diffstat (limited to 'local-tomo')
-rwxr-xr-xlocal-tomo12
1 files changed, 12 insertions, 0 deletions
diff --git a/local-tomo b/local-tomo
new file mode 100755
index 00000000..f6548058
--- /dev/null
+++ b/local-tomo
@@ -0,0 +1,12 @@
+#!/bin/sh
+here="$(realpath "$(dirname "$0")")"
+if [ ! -e "$here/build/bin/tomo" ]; then
+ echo "Tomo hasn't been compiled yet! Run \`make\` to compile it!"
+ exit 1;
+fi
+
+PATH="$here/build/bin:$PATH" \
+LD_LIBRARY_PATH="$here/build/lib:$LD_LIBRARY_PATH" \
+LIBRARY_PATH="$here/build/lib:$LIBRARY_PATH" \
+C_INCLUDE_PATH="$here/build/include:$C_INCLUDE_PATH" \
+tomo "$@"